#ifndef VECTOR_3_H
#define VECTOR_3_H

namespace geometry_msgs
{

struct Vector3
{
    double x;
    double y;
    double z;

    // Constructor mặc định
    Vector3() : x(0.0), y(0.0), z(0.0) {}

    // Constructor khởi tạo nhanh
    Vector3(double x_, double y_, double z_)
        : x(x_), y(y_), z(z_) {}
};

} // namespace geometry_msgs

#endif // VECTOR_3_H